package com.diagbot.client.hystrix;


import com.diagbot.client.DiagbotmanServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.ServiceToken;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description: 产品服务客户端（请求失败熔断）
 * @Author: ztg
 * @Date: 2018/9/18 15:19
 */
@Component
@Slf4j
public class DiagbotmanServiceHystrix implements DiagbotmanServiceClient {

    @Override
    public RespDTO getAll() {
        log.error("【hystrix】调用{}异常","getAll");
        return null;
    }

    @Override
    public RespDTO<Boolean> hasPermission(@RequestBody ServiceToken st) {
        log.error("【hystrix】调用{}异常","hasPermisson");
        return null;
    }
}
